Subject: BX Client feedback
From: Subir Chakma <[email-masked]>
To: "Sanjay Dutt" <[email-masked]>, "Sameek Chakraborty" <[email-masked]>, "Ritika Yadav" <[email-masked]>, "Kartik p . rao" <[email-masked]>, "Mouna bouabdallah" <[email-masked]>, "iftekhar Ahmed" <[email-masked]>, "Gelna Genosolango" <[email-masked]>, "Chetan Lalwani" <[email-masked]>, "Amandeep Jangra" <[email-masked]>, "Ahmed Mohd" <[email-masked]>, "Ahmed Abdalsamad Mohammed. Amin Wafi " <[email-masked]>, "Mustafa Fouad. Serageldien" <[email-masked]>, xin Xuejing <[email-masked]>, "Subir Chakma" <[email-masked]>, "Sumit Gogia"
Date: Mon, 27 Jul 2015 21:54:57 +0530 (IST)

Hello All, 

We received a client complaint in BX. 

Pls see below Customer and Katerina's feedback on the same. 

Some points to note here- 

- Do not use abbreviation like asap etc.. They are a complete no in customer service. 
- Always be polite with your emails even if you have to say no. There is always a better a way to say that's customer friendly. 
- Keep your promises even if you have to chase up dozens time with L2/L3/Hub. 
- Keep the customer updated always on the actions you have taken and going to take. Cx are not aware on your internal follow-ups. 
- All managerial call backs must be completed by Sanjay without fail. If there is no one in shift, politely explain that sups timing and assure him of a call back. 
- Be specific with time and dates, not just 'as soon as possible'. If storage fee has been waived, you must inform customer that it will reapply after next 24 hrs. 
- It has been discussed to allow atleast 48 hours after storage fee is adjusted, so customer can release the items. 

Hello, 
Please see below- Sameek’s overall response, and use of capital letters is quite rude. 
Any reason why there is hardly ever any supervisor available when customers ask for it? 
Regards, 
Katerina 
From: Sha Farook [ mailto:[email-masked] ] 
Sent: 25 July 2015 09:01 
To: [email-masked] 
Subject: Re: Complaint : 0792-2709 
Hi Katerina 
I would like to feedback on my service experience with your company. 
Issue: 
I have not been checking this email address as I had changed to a different device and realised what happened to my goods I had ordered. It was then I realised I have not been checking this less frequently used email address. 
1st interaction with Sameek. Asked for help in the waiver of the storage fee. Rudely declined and when I requested for a supervisor, he relented and that will escalate to relevant team. Appears there is a process but responses are not of service mindset. My last agreement with him is that this should be hands of with a manager as my issue is not only on the waiver of the fee. 
Outcome 
Reply that fee has been waived and to release asap. When I checked "as soon as I possibly could", there were new storage fees. What does "as soon as possible" actually mean...should that not be spelt out in terms of a specific timeline. 
2nd interaction with Sanjay 
Repeated the issue again and he said that he would escalate it. Promised to follow up with a call from himself or his colleague with some grace period to release shipment. 
Outcome 
Waived with no call leading to new storage fee again without grace period. Promises failed. 
3rd interaction with Ritika 
An interaction with aloof and indifferent agent. Explained the issue and not interested to help. When I asked for your email address, she refused to provide it and to email to your generic email address so that it can kept under the carpet. When I insisted, she promised to escalate to manager and would get a call in a few hours. 
Outcome 
No call back came. Another email was received that the fee was waived. When I logged into the account just 3 hours after the email was received, there was still a storage fee. 
4th interaction via reply to previous outcome email from Cinderella whom I have not interacted before. 
Outcome 
I raised the issue and got an appalling reply from the same rude Sameek from the 1st interaction saying that previous waivers given and how your company works. Is this how you train your people to reply emails? 
Pls review the chat transcripts and voice call log so that you can appreciate my journey in trying to address one issue. You may not value the time it had costed me but you may start to sense the cost of all of these interaction including yours. 
I have interacted with your company and you in the past and obviously centralizing your virtual frontline ops in India is not helping from both tactical and strategic perspective. 
The current view you are having from what I am surfacing is a tip of the iceberg issue with the actuality below the surface. However, these are your business agenda to address. 
What I am interested is that your company does what is right remedy my current issue in waiving the storage fee and advise me the compensation/service recovery as I have not able to release my goods in the suite as cost effectively / efficiently as I would have required. 
PS - You should seriously consider remove agent call back option as there is either no call back or silence. 
Regards 
Sha 
+65 85333445 

Begin forwarded message: 
From: "Borderlinx Customer Support (EN-L1)" < [email-masked] > 
Date: 24 July 2015 5:05:51 PM 
To: Sha < [email-masked] > 
Subject: RE: LTK1221604323650X | RE: | 0792-2709 
Reference number: LTK1221604323650X Please use this ticket number in any correspondence with us. 
Dear Sha, 
Welcome to Borderlinx. 
Please be informed, the storage charges cannot be waived off once again, as we sent an email to you just after waiving the fee and we already told you to release your order ASAP, and you know how the system works because you have been informed about the same. It will automatically add up if you haven't released your order. 
We request you to release the shipment ASAP, in order to avoid further storage charges. 
If we could be of any further assistance, please do not hesitate to contact us. 
Best Regards, 
Sameek Chakraborty 

Borderlinx Support 

Please use this link to rate the response you received in this email: https://www.surveymonkey.com/s/9Q3CS6S?LPticket=LTK1221604323650X 

Regards